package com.chinacreator.video.restful.dao;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface NewYearVideoDao {

    void insertVideoInfo(Map<String, Object> params);

    List<Map<String, Object>> queryVideoInfo(Map<String, Object> params);

    int queryNumber(String wxuserid);

    int queryNumber2(String wxuserid);

    String queryUserStatus(String wxuserid);

    void hasRset(String wxuserid);

    String getID();

    void hasFinished(Map<String, Object> params);
}
